Update an agent's memorize settings (creates them from the global default if the agent has none yet)
curl --request PUT \
--url https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/memorize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_field_settings": {},
"conversation_settings": {},
"channel_settings": {},
"is_active": true
}
'import requests
url = "https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/memorize"
payload = {
"contact_field_settings": {},
"conversation_settings": {},
"channel_settings": {},
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_field_settings: {},
conversation_settings: {},
channel_settings: {},
is_active: true
})
};
fetch('https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/memorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Memorize
Update an agent's memorize settings (creates them from the global default if the agent has none yet)
Updates one agent’s memorize settings. If the agent does not already have custom settings, they are created from the global default first, then the supplied changes are applied.
PUT
/
api
/
v1
/
agents
/
{uuid}
/
memorize
Update an agent's memorize settings (creates them from the global default if the agent has none yet)
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Path Parameters
Body
application/json
Response
Agent memorize settings updated
Get an agent's memorize settings (falls back to default)Remove an agent's specific memorize settings (reverts to default)
⌘I